#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <phonon/MediaObject>
#include <phonon/AudioOutput>
#include <phonon/VolumeSlider>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);

private:
    qreal outputVolume;
    Phonon::MediaObject *mediaObject;
    Phonon::AudioOutput *audioOutput;

private slots:
    void handleMute(bool mute);
    void handleVolume(qreal volume);

};

#endif // MAINWINDOW_H
